﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/connect/model/ListTaskTemplatesResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::Connect::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

ListTaskTemplatesResult::ListTaskTemplatesResult()
{
}

ListTaskTemplatesResult::ListTaskTemplatesResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

ListTaskTemplatesResult& ListTaskTemplatesResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("TaskTemplates"))
  {
    Array<JsonView> taskTemplatesJsonList = jsonValue.GetArray("TaskTemplates");
    for(unsigned taskTemplatesIndex = 0; taskTemplatesIndex < taskTemplatesJsonList.GetLength(); ++taskTemplatesIndex)
    {
      m_taskTemplates.push_back(taskTemplatesJsonList[taskTemplatesIndex].AsObject());
    }
  }

  if(jsonValue.ValueExists("NextToken"))
  {
    m_nextToken = jsonValue.GetString("NextToken");

  }



  return *this;
}
