﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/devops-guru/model/DescribeAnomalyResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::DevOpsGuru::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

DescribeAnomalyResult::DescribeAnomalyResult()
{
}

DescribeAnomalyResult::DescribeAnomalyResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

DescribeAnomalyResult& DescribeAnomalyResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("ProactiveAnomaly"))
  {
    m_proactiveAnomaly = jsonValue.GetObject("ProactiveAnomaly");

  }

  if(jsonValue.ValueExists("ReactiveAnomaly"))
  {
    m_reactiveAnomaly = jsonValue.GetObject("ReactiveAnomaly");

  }



  return *this;
}
