﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/panorama/model/ListPackageImportJobsResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::Panorama::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

ListPackageImportJobsResult::ListPackageImportJobsResult()
{
}

ListPackageImportJobsResult::ListPackageImportJobsResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

ListPackageImportJobsResult& ListPackageImportJobsResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("NextToken"))
  {
    m_nextToken = jsonValue.GetString("NextToken");

  }

  if(jsonValue.ValueExists("PackageImportJobs"))
  {
    Array<JsonView> packageImportJobsJsonList = jsonValue.GetArray("PackageImportJobs");
    for(unsigned packageImportJobsIndex = 0; packageImportJobsIndex < packageImportJobsJsonList.GetLength(); ++packageImportJobsIndex)
    {
      m_packageImportJobs.push_back(packageImportJobsJsonList[packageImportJobsIndex].AsObject());
    }
  }



  return *this;
}
