﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/swf/model/RecordMarkerDecisionAttributes.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace SWF
{
namespace Model
{

RecordMarkerDecisionAttributes::RecordMarkerDecisionAttributes() : 
    m_markerNameHasBeenSet(false),
    m_detailsHasBeenSet(false)
{
}

RecordMarkerDecisionAttributes::RecordMarkerDecisionAttributes(JsonView jsonValue) : 
    m_markerNameHasBeenSet(false),
    m_detailsHasBeenSet(false)
{
  *this = jsonValue;
}

RecordMarkerDecisionAttributes& RecordMarkerDecisionAttributes::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("markerName"))
  {
    m_markerName = jsonValue.GetString("markerName");

    m_markerNameHasBeenSet = true;
  }

  if(jsonValue.ValueExists("details"))
  {
    m_details = jsonValue.GetString("details");

    m_detailsHasBeenSet = true;
  }

  return *this;
}

JsonValue RecordMarkerDecisionAttributes::Jsonize() const
{
  JsonValue payload;

  if(m_markerNameHasBeenSet)
  {
   payload.WithString("markerName", m_markerName);

  }

  if(m_detailsHasBeenSet)
  {
   payload.WithString("details", m_details);

  }

  return payload;
}

} // namespace Model
} // namespace SWF
} // namespace Aws
