﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/translate/model/ListLanguagesRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Translate::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;

ListLanguagesRequest::ListLanguagesRequest() : 
    m_displayLanguageCode(DisplayLanguageCode::NOT_SET),
    m_displayLanguageCodeHasBeenSet(false),
    m_nextTokenHasBeenSet(false),
    m_maxResults(0),
    m_maxResultsHasBeenSet(false)
{
}

Aws::String ListLanguagesRequest::SerializePayload() const
{
  JsonValue payload;

  if(m_displayLanguageCodeHasBeenSet)
  {
   payload.WithString("DisplayLanguageCode", DisplayLanguageCodeMapper::GetNameForDisplayLanguageCode(m_displayLanguageCode));
  }

  if(m_nextTokenHasBeenSet)
  {
   payload.WithString("NextToken", m_nextToken);

  }

  if(m_maxResultsHasBeenSet)
  {
   payload.WithInteger("MaxResults", m_maxResults);

  }

  return payload.View().WriteReadable();
}

Aws::Http::HeaderValueCollection ListLanguagesRequest::GetRequestSpecificHeaders() const
{
  Aws::Http::HeaderValueCollection headers;
  headers.insert(Aws::Http::HeaderValuePair("X-Amz-Target", "AWSShineFrontendService_20170701.ListLanguages"));
  return headers;

}




